MuleMsgProvider (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.soap.axis.extensions.MuleMsgProvider class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.soap.axis.extensions
Class MuleMsgProvider

    java.lang.Object
      org.apache.axis.handlers.BasicHandler
          org.apache.axis.providers.BasicProvider
              org.apache.axis.providers.java.JavaProvider
                  org.apache.axis.providers.java.MsgProvider
                      org.mule.transport.soap.axis.extensions.MuleMsgProvider

All Implemented Interfaces:
  Serializable, org.apache.axis.Handler

    public class MuleMsgProvider

extends org.apache.axis.providers.java.MsgProvider

`MuleMsgProvider` is an Axis service endpoint that builds services from Mule managed components.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.axis.providers.java.JavaProvider
`entLog, log, OPTION_ALLOWEDMETHODS, OPTION_CLASSNAME, OPTION_SCOPE`

Fields inherited from class org.apache.axis.providers.BasicProvider
`OPTION_EXTRACLASSES, OPTION_WSDL_INPUTSCHEMA, OPTION_WSDL_PORTTYPE, OPTION_WSDL_SERVICEELEMENT, OPTION_WSDL_SERVICEPORT, OPTION_WSDL_SOAPACTION_MODE, OPTION_WSDL_TARGETNAMESPACE`

Fields inherited from class org.apache.axis.handlers.BasicHandler
`makeLockable, name, options`

Constructor Summary
`MuleMsgProvider(AxisConnector connector)`

Method Summary
`protected Class` | `getServiceClass(String s, org.apache.axis.handlers.soap.SOAPService soapService, org.apache.axis.MessageContext messageContext)`
`void` | `invoke(org.apache.axis.MessageContext msgContext)`
`protected Object` | `makeNewServiceObject(org.apache.axis.MessageContext messageContext, String s)`
`protected void` | `setOperationStyle(org.apache.axis.MessageContext msgContext)` Deprecated. I dont think this is necessary, but leaving it here for a while

Methods inherited from class org.apache.axis.providers.java.MsgProvider
`processMessage`

Methods inherited from class org.apache.axis.providers.java.JavaProvider
`getServiceClassName, getServiceClassNameOptionName, getServiceObject, initServiceDesc`

Methods inherited from class org.apache.axis.providers.BasicProvider
`addOperation, generateWSDL, getOperationName, getOperationNames, getOperationQNames`

Methods inherited from class org.apache.axis.handlers.BasicHandler
`canHandleBlock, cleanup, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, init, initHashtable, onFault, setName, setOption, setOptionDefault, setOptions, setOptionsLockable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MuleMsgProvider

    public MuleMsgProvider(AxisConnector connector)

Method Detail

### makeNewServiceObject

    protected Object makeNewServiceObject(org.apache.axis.MessageContext messageContext,
                                          String s)
                                   throws Exception

  Overrides:
    `makeNewServiceObject` in class `org.apache.axis.providers.java.JavaProvider`
  Throws:
    `Exception`

### getServiceClass

    protected Class getServiceClass(String s,
                                    org.apache.axis.handlers.soap.SOAPService soapService,
                                    org.apache.axis.MessageContext messageContext)
                             throws org.apache.axis.AxisFault

  Overrides:
    `getServiceClass` in class `org.apache.axis.providers.java.JavaProvider`
  Throws:
    `org.apache.axis.AxisFault`

### setOperationStyle

    protected void setOperationStyle(org.apache.axis.MessageContext msgContext)

  Deprecated. I dont think this is necessary, but leaving it here for a while

  Parameters:
    `msgContext` -

### invoke

    public void invoke(org.apache.axis.MessageContext msgContext)
                throws org.apache.axis.AxisFault

  Specified by:
    `invoke` in interface `org.apache.axis.Handler`
  Overrides:
    `invoke` in class `org.apache.axis.providers.java.JavaProvider`
  Throws:
    `org.apache.axis.AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.